<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;

class checkLelongTawarruq extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:lelongtawarruq';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Update gadai for every active gadai';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $updategadai = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/check/lelong/tawarruq')->json();
        $this->info('sucess');
    }
}
